import request from "../request";
import Mcok from "mockjs";

interface topicQuery {
  //分类练习
  classIssue: string;
  //当前页码
  pageNum: string;
  //每页数据量
  pageSize: string;
}

/**
 * 获取题目列表
 * @returns
 */
export async function getTopicList(params: any) {
  const getOpts = (type: Number) => {
    switch (type) {
      case 0:
        return ["√", "×"];
      case 1:
        return ["A", "B", "C", "D"];
      case 2:
        return ["多选A", "多选B", "多选C", "多选D"];
    }
  };

  const getAnswer = (type: Number) => {
    switch (type) {
      case 0:
        return "√";
      case 1:
        return "A";
      case 2:
        return ["多选A", "多选B", "多选C"];
    }
  };

  const getUserAnswer = (type: Number) => {
    switch (type) {
      case 0:
        return null;
      case 1:
        return null;
      case 2:
        return [];
    }
  };

  const getType = (answer: Array<string>) => {
    if (answer.length === 1) {
      if (["√", "×"].includes(answer[0])) {
        return 0;
      } else {
        return 1;
      }
    } else {
      return 2;
    }
  };

  let res = await request({
    url: "/qustion/info/list",
    params,
  });

  let data2 = {
    total: res.data.total,
    list: res.data.rows.map((item: any) => {
      return {
        ...item,
        explain: item.issue,
        opts: item.opts.split("-"),
        image: item.image,
        type: getType(item.answer.split("-")),
        answer: item.answer,
        userAnswer: getUserAnswer(getType(item.answer.split("-"))),
        isTrue: null,
      };
    }),
  };

  console.log(res.data);

  return data2;
}

/**
 * 获取题目分类
 */
export async function getTopicClass(path: string, params: any) {
  return request({
    url: `/qustion/info/${path}`,
    params,
  });
}
